Bug 228287 - Missing f:passThroughAttribute element?
Missing f:passThroughAttribute element?
Status: VERIFIED FIXED
Product: javaee
Classification: Unclassified
Component: JSF Editor
7.3.1
All All
: P3 (vote)
: 7.3.1
Assigned To: Martin Fousek
issues@javaee
http://java.net/jira/browse/JAVASERVE...
73patch2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-05 14:28 UTC by Vladimir Riha
Modified: 2013-05-09 14:06 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Riha 2013-04-05 14:28:17 UTC
Taken from [1], following should probably work:


<html xmlns="http://www.w3.org/1999/xhtml"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://xmlns.jcp.org/jsf/core">
    <h:form>
        <h:inputText value="#{bean.value}" >
            <f:passThroughAttribute name="placeholder" value="Enter text" />
        </h:outputText>
    </h:form>
</html>


but f:passThroughAttribute is marked with error ("The component library JSF core does not contain component passThroughAttribute")


[1] http://jdevelopment.nl/jsf-22/#1089


Product Version: NetBeans IDE Dev (Build web-main-javaee7-207-on-20130405)
Java: 1.7.0_17; Java HotSpot(TM) Client VM 23.7-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_17-b32
System: Linux version 3.2.0-39-generic-pae running on i386; UTF-8; en_US (nb)
Comment 1 Martin Fousek 2013-04-10 06:31:21 UTC
I entered issue against the JavaServerFaces since it's issue in their taglib.xml definitions. I also wrote an email to Ed Burns so I hope they will take care about that: http://java.net/jira/browse/JAVASERVERFACES-2836
Comment 2 Martin Fousek 2013-04-16 14:23:03 UTC
I updated the bundled JSF library but the new tags aren't still processed. The upgrade done in web-main #7b4358c60571. But it will require additional work for fixing.
Comment 3 Martin Fousek 2013-04-17 07:23:49 UTC
It's necessary to have latest GlassFish (nightly builds v.85) or bundled library (which is now in the trunk) - it's depends which JSF library you will use.

f:passThroughAttribute element is available now

web-main #7bffc0db038a
Comment 4 Quality Engineering 2013-04-23 00:08:41 UTC
Integrated into 'releases', will be available in build *201304222201* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/7bffc0db038a
User: Martin Fousek <marfous@netbeans.org>
Log: FaceletsTaglibConfigProcessor aligned with the latest JSF one, fixes for taglib definition issues - #221581,#228287,#228288,#216926
Comment 5 Quality Engineering 2013-04-23 02:11:52 UTC
Integrated into 'main-golden', will be available in build *201304222301* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/7bffc0db038a
User: Martin Fousek <marfous@netbeans.org>
Log: FaceletsTaglibConfigProcessor aligned with the latest JSF one, fixes for taglib definition issues - #221581,#228287,#228288,#216926
Comment 6 Vladimir Riha 2013-04-23 14:40:25 UTC
Thanks, verified


Product Version: NetBeans IDE 7.3.1 (Build 201304222201)
Java: 1.7.0_21; Java HotSpot(TM) Client VM 23.21-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_21-b11
System: Linux version 3.2.0-40-generic-pae running on i386; UTF-8; en_US (nb)
Comment 7 Vladimir Riha 2013-05-09 14:06:15 UTC
patch2 verified


Product Version: NetBeans IDE 7.3.1 (Build 201302132200)
Java: 1.7.0_21; Java HotSpot(TM) Client VM 23.21-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_21-b11
System: Linux version 3.2.0-41-generic-pae running on i386; UTF-8; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo